<Obj0 name="data">
    <Obj1  name="data1"/>
    <Obj2  name="data2"/>
    <Obj3 name="data3" />
    <Obj4  name="data4"/>
    <Obj0 name="data5">
        <Obj1  name="data51"/>
        <Obj2  name="data52"/>
        <Obj3 name="data53" />
        <Obj4  name="data54"/>
    </Obj0>

</Obj0>
